# arm_lms_norm_instance_f32 Struct Reference

Instance structure for the floating-point normalized LMS filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numTaps
float32_t * | pState
float32_t * | pCoeffs
float32_t | mu
float32_t | energy
float32_t | x0

## Detailed Description

Instance structure for the floating-point normalized LMS filter.

Examples:

  arm_signal_converge_example_f32.c.

Definition at line 4053 of file arm_math.h.

## Field Documentation

uint16_t arm_lms_norm_instance_f32::numTaps

number of coefficients in the filter.

Definition at line 4055 of file arm_math.h.

float32_t* arm_lms_norm_instance_f32::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 4056 of file arm_math.h.

float32_t* arm_lms_norm_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 4057 of file arm_math.h.

float32_t arm_lms_norm_instance_f32::mu

step size that control filter coefficient updates.

Definition at line 4058 of file arm_math.h.

float32_t arm_lms_norm_instance_f32::energy

saves previous frame energy.

Definition at line 4059 of file arm_math.h.

float32_t arm_lms_norm_instance_f32::x0

saves previous input sample.

Definition at line 4060 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines